%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
Name:		spe
Version:	0.8.4.h
Release:	5%{?dist}
Summary:	Python IDE with UML,PyChecker,Debugger,GUI design,Blender & more
Group:		Development/Tools
License:	GPLv2+
URL:		http://pythonide.stani.be
Source0:	http://download.berlios.de/python/%{name}-%{version}-wx2.6.1.0.tar.gz

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch

BuildRequires:	desktop-file-utils, python

Requires:	wxGlade >= 0.6.1-1
Requires:	winpdb >= 1.3.2-1
Requires:	wxPython >= 2.8
Requires:	python
Requires:	python-imaging
Requires:	tkinter

%description
Spe is a Python IDE with auto-indentation, auto completion, call tips, syntax
coloring, syntax highlighting, UML viewer, class explorer, source index, auto
todo list, sticky notes, integrated pycrust shell, Python file browser, recent
file browser, drag&drop, context help, « etc ». Special is its Blender support
with a Blender 3d object browser and its ability to run interactively inside
blender.
Spe ships with wxGlade & XRCed (gui designers), PyChecker (source code doctor)
and Kiki (regular expression console). Spe is extensible with wxGlade.

%prep
%setup -q -n %{name}-%{version}

rm -rf ./_spe/plugins/winpdb
rm -rf ./_spe/plugins/wxGlade
rm -rf ./_spe/plugins/XRCed

find . \( -name "*.wxg" -or -name "*.bat" \) -delete

find . -type f -print0 | xargs -0 -n 250 chmod a-x
find . -type f | xargs egrep -l '\#!/usr/bin/env|\#!BPY' | xargs chmod a+x
find . -name "Child.py" -print0 | xargs -0 -n 250 chmod a-x
find . \( -name "*.py" -or -name "*.html" -or -name "*.htm" -or -name "*.txt" -or -name "COPYING" -or -name "NEWS" \) -exec sed -i 's/\r//' {} \;

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{python_sitelib}/%{name}/
cp -Rp ./* %{buildroot}%{python_sitelib}/%{name}/

rm -rf %{buildroot}%{python_sitelib}/%{name}/COPYING
rm -rf %{buildroot}%{python_sitelib}/%{name}/NEWS

desktop-file-install --vendor=""				\
	--mode 0644 						\
	--dir=%{buildroot}%{_datadir}/applications/		\
	%{buildroot}%{python_sitelib}/%{name}/%{name}.desktop


mkdir -p %{buildroot}%{_bindir}/
ln -s $(echo %python_sitelib | sed -e 's|%{_prefix}|..|')/%{name}/_spe/SPE.py \
	%{buildroot}%{_bindir}/%{name}


mkdir  %{buildroot}%{_datadir}/pixmaps/
cp -p %{buildroot}%{python_sitelib}/%{name}/_spe/skins/default/blenpy.png  %{buildroot}%{_datadir}/pixmaps/spe.png

%clean
rm -rf %{buildroot}

%post
%{_bindir}/update-desktop-database %{_datadir}/applications || :

%postun
%{_bindir}/update-desktop-database %{_datadir}/applications || :

%files
%defattr(-,root,root,-)
%doc COPYING NEWS
%{python_sitelib}/%{name}
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/spe.png


%changelog
* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.4.h-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Feb 04 2009 MERCIER <jonathan.mercier.fr-at-gmail.com> 0.8.4.h-4
- fix the summary section

* Sun Apr 27 2008 MERCIER <jonathan.mercier.fr-at-gmail.com> 0.8.4.h-3
- fixed number of release
- Add ' || :' for scriptlet
- Use option -delete with find
- Use option -p with cp
- Use a better symlink line 31


* Sun Apr 27 2008 MERCIER <jonathan.mercier.fr@gmail.com> 0.8.4.h-0.2.h
- fixed file ownership
- fixed number of release 0.*

* Thu Apr 24 2008 MERCIER <jonathan.mercier.fr@gmail.com> 0.8.4.h-0.1.h
- new release, bug correction wxGlade

* Wed Apr 23 2008 pingou <pingou@pingoured.fr> 0.8.4.g-0.3.g
- Add icon at the right place

* Wed Apr 23 2008 pingou <pingou@pingoured.fr> 0.8.4.g-0.2.g
- Bug correction

* Thu Apr 14 2008 MERCIER <jonathan.mercier.fr@gmail.com> 0.8.4.g-0.1.g
-new package

